Subject: RE: [Ips] [iSER] Connection_Handle question

From: "Dan Bar Dov" <[email-masked]>
Date: Wed, 31 May 2006 19:39:44 +0300

I think you are discussing "implementation" rather than "protocol".

While the datamover architecture concept is nice, I don't
believe is should be a "standard". The wire protocol is a standard,
and that covers both iSCSI and iSER. How and where an iSCSI 
implementation supports iSER has nothing to do with it.

We first implemented DA, including necessary extensions to it.
We then had to ditch it altogether, due to a different iSCSI implementation. 

Dan

> -----Original Message-----
> From: Mallikarjun C. [mailto:[email-masked]] 
> Sent: Friday, May 26, 2006 8:06 PM
> To: [email-masked]
> Subject: Re: [Ips] [iSER] Connection_Handle question
> 
> Yes, you are correct.
> 
> Mallikarjun
> 
> 
> --- Eddy Quicksall
> <[email-masked]> wrote:
> 
> > I think I found the answer in the definition of
> > "Connection Handle". Am I correct that the iSCSI and
> > iSER layers both must understand the handle since
> > both must access the TCP/IP stack. For example if it
> > is sockets, the handle may be the "socket"; or if it
> > is a proprietary scheme the handle may be a pointer
> > to a structure that is understood by both the iSER
> > and iSCSI layers.
> > 
> > Eddy
> >   ----- Original Message ----- 
> >   From: Eddy Quicksall 
> >   To: [email-masked] 
> >   Sent: Tuesday, May 23, 2006 2:21 PM
> >   Subject: [Ips] [iSER] Connection_Handle question
> > 
> > 
> >   Generally when an upper layer is going to use a
> > lower layer, the lower layer gives a handle (many
> > times via an open call).
> > 
> >   In the primitives the Connection_Handle is passed
> > as an input qualifier. But I don't see any primitive
> > that returns the Connection_Handle. Am I missing
> > that?
> > 
> >   Eddy
> > 
> > 
> >
> --------------------------------------------------------------
> ----------------
> > 
> > 
> >   _______________________________________________
> >   Ips mailing list
> >   [email-masked]
> >   https://www1.ietf.org/mailman/listinfo/ips
> > > _______________________________________________
> > Ips mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/ips
> > 
> 
> 
> __________________________________________________
> Do You Yahoo!?
> Tired of spam?  Yahoo! Mail has the best spam protection around 
> http://mail.yahoo.com 
> 
> _______________________________________________
> Ips mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ips
> 

_______________________________________________
Ips mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ips